<?php require_once("config.inc.php");
function HasLogged()
{
	global $enable_rcon_password;
	$password=$_COOKIE["mgrpwd"];
	if($password=="") return false;
	if($enable_rcon_password)
	{
		$rcon_password=webmgr_get_cvar("rcon_password");
		if($rcon_password==$password) return true;
	}
	$admin_password=webmgr_get_admin_password();
	if($admin_password==$password) return true;
	return false;
}
$logged = HasLogged();

function HtmlEncode($s, $replace_space = true, $replace_crlf = true)
{
	$s = iconv("UTF-8", "UTF-8//IGNORE", $s);	// used to remove unconvertible character
	$s = htmlspecialchars($s, ENT_QUOTES, "UTF-8");
	if($replace_space)
		$s = str_replace(chr(32), '&nbsp;', $s);
	if($replace_crlf)
	{
		$s = str_replace(chr(13).chr(10), '<br />', $s);
		$s = str_replace(chr(13), '<br />', $s);
		$s = str_replace(chr(10), '<br />', $s);
	}
	return $s;
}

function TextAreaEncode($s)
{
	// replace UTF8_BOM
  $charset[1]=substr($s, 0, 1);      
  $charset[2]=substr($s, 1, 1);     
  $charset[3]=substr($s, 2, 1); 
	if (ord($charset[1])==239 && ord($charset[2])==187 && ord($charset[3])==191)
	{
		$s = substr($s, 3);
	} else {
		$stmp = iconv("UTF-8", "UTF-8", $s);
		if( $s == $stmp)
			$s = $stmp;
		else
			$s = iconv("", "UTF-8", $s);  // convert to utf8 format
	}
	$s = htmlspecialchars($s, ENT_QUOTES, "UTF-8");
	return $s;
}

function JavaScriptEncode($s)
{
	$s = iconv("UTF-8", "UTF-8//IGNORE", $s);	// used to remove unconvertible character
	$s = str_replace("\"", "\\\"", $s);
	$s = str_replace('\'', '\\\'', $s);
	$s = str_replace("\r", "\\\r", $s);
	$s = str_replace("\n", "\\\n", $s);
	return $s;
}

function truest($value)
{
	if (get_magic_quotes_gpc()) // Stripslashes
		$value = stripslashes($value);
	return $value;
}

$maxplayers = webmgr_get_maxplayers();

function get_player_by_userid($userid)
{
	global $maxplayers;
	for($i=1;$i<=$maxplayers;$i++)
	{
		if(!webmgr_is_player_valid($i)) continue;
		if(webmgr_get_player_userid($i)==$userid) return $i;
	}
	return 0;
}

function strtime($time)
{
	$time = round($time);
	$h = intval($time/3600);
	$m = intval(($time % 3600) / 60);
	$s = $time % 60;
	return sprintf("%02d:%02d:%02d", $h, $m, $s);
}

function get_file_ext($filename)
{
	$file_part  = pathinfo($filename);  
	return strval($file_part["extension"]);
}

function get_file_basename($filename)
{
	$file_part  = pathinfo($filename);  
	return strval($file_part["basename"]);
}
?>