<?php require_once("common.php"); 

if(!$logged)
{
	header("Location: ./", true, 302);
	exit;
}

$action = $_REQUEST["action"];
switch($action)
{
	case "kick":
		$userid = intval($_REQUEST["userid"]);
		$reason = $_REQUEST["reason"];
		if($userid>0)
		{
			if($reason!="")
				webmgr_server_cmd("kick #$userid  Reason: $reason");
			webmgr_server_cmd("kick #$userid");  // for CS1.5
			webmgr_server_exec();
		}
		header("Location: ./", true, 302);
		exit;
	case "banip":
		$userid = intval($_REQUEST["userid"]);
		$player = get_player_by_userid($userid);
		$time = intval($_REQUEST["time"]);
		if($player && $time>=0)
		{
			$ip = webmgr_get_player_ip($player);
			$reason = $_REQUEST["reason"];
			if($reason!="") $reason = "Reason: $reason";
			if($time==0)
			{
				webmgr_server_cmd("kick #$userid  Banned IP permanent. $reason");
			}else{
				webmgr_server_cmd("kick #$userid  Banned IP $time Minute. $reason");
			}
			$ip = webmgr_get_player_ip($player);
			webmgr_server_cmd("wait; addip $time $ip; wait; writeip;");
			webmgr_server_exec();
		}
		header("Location: ./", true, 302);
		exit;
	case "banauthid":
		$userid = intval($_REQUEST["userid"]);
		$player = get_player_by_userid($userid);
		$time = intval($_REQUEST["time"]);
		if($player && $time>=0)
		{
			$authid = webmgr_get_player_authid($player);
			$reason = $_REQUEST["reason"];
			if($reason!="") $reason = "Reason: $reason";
			if($time==0)
			{
				webmgr_server_cmd("kick #$userid  Banned AuthID permanent. $reason");
			}else{
				webmgr_server_cmd("kick #$userid  Banned AuthID $time Minute. $reason");
			}
			webmgr_server_cmd("kick #$userid");  // for CS1.5
			if($authid!="4294967295" && $authid!="HLTV" && $authid!="STEAM_ID_LAN" && $authid!="VALVE_ID_LAN" && $authid!="VALVE_ID_PENDING" && $authid!="STEAM_0:0:0")
			{
				webmgr_server_cmd("wait; banid $time #$userid kick;");
			}
			webmgr_server_exec();
			webmgr_server_cmd("wait; writeid;");
		}
		header("Location: ./", true, 302);
		exit;
	case "srvcmd": ?>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<?php 
		$command = $_REQUEST["command"];
		if($command=="")
		{ ?>
			<script language=javascript>
				alert("Please input console command!");
			</script>
		<?php
			exit;
		}
		webmgr_server_cmd($command); ?>
			<script language=javascript>
				alert("The console command has been sent to server.");
			</script>
		<?php	
		break;
	case "cltcmd": ?>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<?php 
		$userid = intval($_REQUEST["userid"]);
		$player = get_player_by_userid($userid);
		if(!$player)
		{ ?>
			<script language=javascript>
				alert("Sorry, the player has left the game.");
				top.location = "./";
			</script>
		<?php
			exit;
		}
		$command = $_REQUEST["command"];
		if($command=="")
		{ ?>
			<script language=javascript>
				alert("Please input the console command!");
			</script>
		<?php
			exit;
		}
		webmgr_client_cmd($player, $command); ?>
			<script language=javascript>
				alert("The console command has been sent to player.");
			</script>
		<?php
		exit;
	case "cltprt": ?>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<?php
		$userid = intval($_REQUEST["userid"]);
		$player = get_player_by_userid($userid);
		if(!$player)
		{ ?>
			<script language=javascript>
				alert("Sorry, the player has left the game.");
				top.location = "./";
			</script>
		<?php
			exit;
		}
		$message = $_REQUEST["message"];
		if($message=="")
		{ ?>
			<script language=javascript>
				alert("Please input the message!");
			</script>
		<?php
			exit;
		}
		$print_type = intval($_REQUEST["print_type"]);
		webmgr_client_print($player, $print_type, $message); ?>
			<script language=javascript>
				alert("The message has been sent to player!");
			</script>
		<?php
		exit;
	case "map":
		$map = $_REQUEST["map"];
		if(webmgr_is_map_valid($map))
		{
			webmgr_changelevel($map);
			webmgr_server_exec();
		}
		header("Location: ./", true, 302);
		exit;
	case "nextmap":
		$map = $_REQUEST["map"];
		if(webmgr_is_map_valid($map))
		{
			webmgr_set_cvar("amx_nextmap", $map);
		}
		header("Location: ./", true, 302);
		exit;
	case "svpwd":
		$password = $_REQUEST["password"];
		// if password include (\) or ("), player will can't join, so replace them.
		$password = str_replace("\"", "", $password);
		$password = str_replace("\\", "", $password);
		webmgr_set_cvar("sv_password", $password);
		header("Location: ./", true, 302);
		exit;
}
?>