object dmHttpServer: TdmHttpServer
  OldCreateOrder = False
  OnCreate = DataModuleCreate
  OnDestroy = DataModuleDestroy
  Height = 106
  Width = 258
  object PHPEngine: TPHPEngine
    HandleErrors = False
    OnLogMessage = PHPEngineLogMessage
    RegisterGlobals = False
    HTMLErrors = True
    Constants = <
      item
        Name = 'const1'
        Value = 'value1'
      end
      item
        Name = 'const2'
        Value = 'value2'
      end>
    ReportDLLError = False
    Left = 32
    Top = 8
  end
  object PHPLib: TPHPLibrary
    LibraryName = 'WebMgr'
    Functions = <
      item
        FunctionName = 'webmgr_version'
        Tag = 0
        Parameters = <>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Get WebMgr Version'
      end
      item
        FunctionName = 'webmgr_elapsed_time'
        Tag = 0
        Parameters = <>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Get Elapsed Time From Starting'
      end
      item
        FunctionName = 'webmgr_get_mod_path'
        Tag = 0
        Parameters = <>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Get Game Mod Full Path'
      end
      item
        FunctionName = 'webmgr_get_cvar'
        Tag = 0
        Parameters = <
          item
            Name = 'name'
            ParamType = tpString
          end>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Get Game CVar'
      end
      item
        FunctionName = 'webmgr_set_cvar'
        Tag = 0
        Parameters = <
          item
            Name = 'name'
            ParamType = tpString
          end
          item
            Name = 'value'
            ParamType = tpString
          end>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Set Game CVar'
      end
      item
        FunctionName = 'webmgr_is_map_valid'
        Tag = 0
        Parameters = <
          item
            Name = 'mapname'
            ParamType = tpString
          end>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Is Map Valid?'
      end
      item
        FunctionName = 'webmgr_get_mapname'
        Tag = 0
        Parameters = <>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Get Map (Level) Name'
      end
      item
        FunctionName = 'webmgr_changelevel'
        Tag = 0
        Parameters = <
          item
            Name = 'levelname'
            ParamType = tpString
          end>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Change Level'
      end
      item
        FunctionName = 'webmgr_get_allmaps'
        Tag = 0
        Parameters = <>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Get All Maps List'
      end
      item
        FunctionName = 'webmgr_get_cyclemaps'
        Tag = 0
        Parameters = <>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Get Cycle Maps List'
      end
      item
        FunctionName = 'webmgr_is_player_valid'
        Tag = 0
        Parameters = <
          item
            Name = 'index'
            ParamType = tpInteger
          end>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Is Player Valid?'
      end
      item
        FunctionName = 'webmgr_is_player_connected'
        Tag = 0
        Parameters = <
          item
            Name = 'index'
            ParamType = tpInteger
          end>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Is Player Connected?'
      end
      item
        FunctionName = 'webmgr_is_player_connecting'
        Tag = 0
        Parameters = <
          item
            Name = 'index'
            ParamType = tpInteger
          end>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Is Player Connecting?'
      end
      item
        FunctionName = 'webmgr_is_player_bot'
        Tag = 0
        Parameters = <
          item
            Name = 'index'
            ParamType = tpInteger
          end>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Is Player Bot?'
      end
      item
        FunctionName = 'webmgr_is_player_hltv'
        Tag = 0
        Parameters = <
          item
            Name = 'index'
            ParamType = tpInteger
          end>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Is Player HLTV?'
      end
      item
        FunctionName = 'webmgr_is_player_alive'
        Tag = 0
        Parameters = <
          item
            Name = 'index'
            ParamType = tpInteger
          end>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Is Player Alive?'
      end
      item
        FunctionName = 'webmgr_get_player_name'
        Tag = 0
        Parameters = <
          item
            Name = 'index'
            ParamType = tpInteger
          end>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Get Player'#39's Name'
      end
      item
        FunctionName = 'webmgr_get_player_ip'
        Tag = 0
        Parameters = <
          item
            Name = 'index'
            ParamType = tpInteger
          end>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Get Player'#39's IP'
      end
      item
        FunctionName = 'webmgr_get_player_time'
        Tag = 0
        Parameters = <
          item
            Name = 'index'
            ParamType = tpInteger
          end>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Get Player'#39's Time'
      end
      item
        FunctionName = 'webmgr_get_player_playtime'
        Tag = 0
        Parameters = <
          item
            Name = 'index'
            ParamType = tpInteger
          end>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Get Player'#39's Play Time'
      end
      item
        FunctionName = 'webmgr_get_player_team'
        Tag = 0
        Parameters = <
          item
            Name = 'index'
            ParamType = tpInteger
          end>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Get Player'#39's Team Name'
      end
      item
        FunctionName = 'webmgr_get_player_teamid'
        Tag = 0
        Parameters = <
          item
            Name = 'index'
            ParamType = tpInteger
          end>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Get Player'#39's Team ID'
      end
      item
        FunctionName = 'webmgr_get_player_frags'
        Tag = 0
        Parameters = <
          item
            Name = 'index'
            ParamType = tpInteger
          end>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Get Player'#39's Frags'
      end
      item
        FunctionName = 'webmgr_get_player_deaths'
        Tag = 0
        Parameters = <
          item
            Name = 'index'
            ParamType = tpInteger
          end>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Get Player'#39's Deaths'
      end
      item
        FunctionName = 'webmgr_get_player_ping'
        Tag = 0
        Parameters = <
          item
            Name = 'index'
            ParamType = tpInteger
          end>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Get Player'#39's Ping'
      end
      item
        FunctionName = 'webmgr_get_player_userid'
        Tag = 0
        Parameters = <
          item
            Name = 'index'
            ParamType = tpInteger
          end>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Get Player'#39's User ID'
      end
      item
        FunctionName = 'webmgr_get_player_authid'
        Tag = 0
        Parameters = <
          item
            Name = 'index'
            ParamType = tpInteger
          end>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Get Player'#39's Auth ID'
      end
      item
        FunctionName = 'webmgr_server_cmd'
        Tag = 0
        Parameters = <
          item
            Name = 'command'
            ParamType = tpString
          end>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Excute Server Command'
      end
      item
        FunctionName = 'webmgr_server_exec'
        Tag = 0
        Parameters = <>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Execute Server Command Immediately'
      end
      item
        FunctionName = 'webmgr_client_cmd'
        Tag = 0
        Parameters = <
          item
            Name = 'index'
            ParamType = tpInteger
          end
          item
            Name = 'command'
            ParamType = tpString
          end>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Excute Client Command'
      end
      item
        FunctionName = 'webmgr_client_print'
        Tag = 0
        Parameters = <
          item
            Name = 'index'
            ParamType = tpInteger
          end
          item
            Name = 'print_type'
            ParamType = tpInteger
          end
          item
            Name = 'message'
            ParamType = tpString
          end>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Client Print'
      end
      item
        FunctionName = 'webmgr_get_admin_password'
        Tag = 0
        Parameters = <>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Get Admin'#39's Password'
      end
      item
        FunctionName = 'webmgr_get_maxplayers'
        Tag = 0
        Parameters = <>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Get Max Players'
      end
      item
        FunctionName = 'webmgr_get_usersnum'
        Tag = 0
        Parameters = <>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Get Number of Users ( Not Include Bots )'
      end
      item
        FunctionName = 'webmgr_get_playersnum'
        Tag = 0
        Parameters = <>
        OnExecute = PHPLibFunctions0Execute
        Description = 'Get Number of Players ( Include Bots )'
      end>
    Left = 112
    Top = 8
  end
end
