<?php require_once("common.php");
if(!$logged)
{
	header("Location: ./", true, 302);
	exit;
}
$userid = intval($_GET["userid"]);
if($userid<=0)
{
	header("Location: ./", true, 302);
	exit;
}
$player = get_player_by_userid($userid);
if(!$player)
{
	header("Location: ./", true, 302);
	exit;
}
$name = webmgr_get_player_name($player);
$frags = webmgr_get_player_frags($player);
$deaths = webmgr_get_player_deaths($player);
$ping = webmgr_get_player_ping($player);
$ip = webmgr_get_player_ip($player);
$authid = webmgr_get_player_authid($player);
$team = webmgr_get_player_team($player);
$time = strtime(webmgr_get_player_time($player));
$title = "玩家详细信息";
?>
<?php require_once("head.php"); ?>
<center>
<br />
<table border="0" align="center" cellpadding="0" cellspacing="0" class="player">
  <tr>
    <td colspan="8" align="center" class="light"><b>玩家</b> <?php echo HtmlEncode($name); ?> <b>详细信息</b></td>
  </tr>
  <tr>
    <td width="50" align="center" class="light2"><b>得分</b></td>
    <td width="50" align="center" class="light2"><b>死亡</b></td>
    <td width="50" align="center" class="light2"><b>延迟</b></td>
    <td width="90" align="center" class="light2"><b>队伍</b></td>
    <td width="60" align="center" class="light2"><b>User ID</b></td>
    <td width="110" align="center" class="light2"><b>IP地址</b></td>
    <td width="110" align="center" class="light2"><b>Auth ID</b></td>
    <td width="72" align="center" class="light2"><b>时间</b></td>
  </tr>
  <tr>
    <td align="center" nowrap class="light1"><?php echo $frags; ?></td>
    <td align="center" nowrap class="light1"><?php echo $deaths; ?></td>
    <td align="center" nowrap class="light1"><?php echo $ping; ?></td>
    <td align="center" nowrap class="light1"><?php echo $team; ?></td>
    <td align="center" nowrap class="light1"><?php echo $userid; ?></td>
    <td align="center" nowrap class="light1"><?php echo $ip; ?></td>
    <td align="center" nowrap class="light1"><?php echo $authid; ?></td>
    <td align="center" nowrap class="light1"><?php echo $time; ?></td>
  </tr>
</table>
<br />
<iframe width="0" height="0" name="action_frame" src="about:blank" style="visibility:hidden"></iframe>
<table border="0" align="center" cellpadding="0" cellspacing="0" class="player">
  <form action="action.php" method="post">
  <tr>
    <td align="center" class="light"><b>踢出/封禁</b> <?php echo HtmlEncode($name); ?></td>
    </tr>
  <tr>
	<input type="hidden" name="userid" value="<?php echo $userid; ?>" />
    <td align="center" nowrap class="light1"><input type="radio" name="action" value="kick" id="kick" /><label for="kick">踢出</label>
      <input name="action" type="radio" id="banip" value="banip" checked="checked" />
      <label for="banip">封禁IP</label>
      <input type="radio" name="action" value="banauthid" id="banauthid" /><label for="banauthid">封禁AuthID</label>
	  &nbsp;时长(分钟)：
	  <input name="time" type="text" class="text" style="width:45px; height:18px; font-size: 12px; line-height:14px;" value="10" />
	  原因(可选)：
	  <input type="text" name="reason" class="text" style="width:125px; height:18px; font-size: 12px; line-height:14px;" />
	  &nbsp;<input type="submit" class="button" value="确 定"></td>
  </tr>
  </form>
</table>
<br />
<table border="0" align="center" cellpadding="0" cellspacing="0" class="player">
  <form action="action.php" method="get" target="action_frame">
  <input type="hidden" name="action" value="srvcmd" />
  <tr>
    <td align="center" class="light"><b>执行服务器控制台命令</b></td>
    </tr>
  <tr>
    <td align="center" nowrap class="light1">控制台命令：      
      <input type="text" name="command" class="text" style="width:443px; height:18px; font-size: 12px; line-height:14px;" />
      &nbsp;<input type="submit" class="button" value="发 送"></td>
  </tr>
  <tr>
    <td align="center" nowrap class="light1"><b>警告</b>：您不能看到任何操作后服务器控制台的信息，请确定您的操作并考虑对服务器可能造成的影响。</td>
  </tr>
  </form>
</table>
<br />
<table border="0" align="center" cellpadding="0" cellspacing="0" class="player">
  <form action="action.php" method="get" target="action_frame">
  <input type="hidden" name="action" value="cltcmd" />
  <input type="hidden" name="userid" value="<?php echo $userid; ?>" />
  <tr>
    <td align="center" class="light"><b>发送控制台命令到</b> <?php echo HtmlEncode($name); ?></td>
    </tr>
  <tr>
    <td align="center" nowrap class="light1">控制台命令：      
      <input type="text" name="command" class="text" style="width:443px; height:18px; font-size: 12px; line-height:14px;" />
      &nbsp;<input type="submit" class="button" value="发 送"></td>
  </tr>
  <tr>
    <td align="center" nowrap class="light1"><b>警告</b>：您不能看到任何操作后此玩家控制台的信息，请确定您的操作并考虑对此玩家可能造成的影响。</td>
  </tr>
  </form>
</table>
<br />
<table border="0" align="center" cellpadding="0" cellspacing="0" class="player">
  <form action="action.php" method="get" target="action_frame">
  <input type="hidden" name="action" value="cltprt" />
  <input type="hidden" name="userid" value="<?php echo $userid; ?>" />
  <tr>
    <td align="center" class="light"><b>发送消息到</b> <?php echo HtmlEncode($name); ?></td>
  </tr>
  <tr>
    <td align="center" nowrap class="light1">
	输出位置: 
	  <select name="print_type"><option value="3">聊天区域</option><option value="4">屏幕中央</option><option value="2">控制台</option></select>
    消息内容：<input type="text" name="message" class="text" style="width:322px; height:18px; font-size: 12px; line-height:14px;" />
    &nbsp;<input type="submit" class="button" value="发 送"></td>
  </tr>
  </form>
</table>
</center>
<?php require_once("foot.php"); ?>