<?php require_once("common.php");
if(!$logged)
{
	header("Location: ./", true, 302);
	exit;
}
$userid = intval($_GET["userid"]);
if($userid<=0)
{
	header("Location: ./", true, 302);
	exit;
}
$player = get_player_by_userid($userid);
if(!$player)
{
	header("Location: ./", true, 302);
	exit;
}
$name = webmgr_get_player_name($player);
$frags = webmgr_get_player_frags($player);
$deaths = webmgr_get_player_deaths($player);
$ping = webmgr_get_player_ping($player);
$ip = webmgr_get_player_ip($player);
$authid = webmgr_get_player_authid($player);
$team = webmgr_get_player_team($player);
$time = strtime(webmgr_get_player_time($player));
$title = "Player information";
?>
<?php require_once("head.php"); ?>
<center>
<br />
<table border="0" align="center" cellpadding="0" cellspacing="0" class="player">
  <tr>
    <td colspan="8" align="center" class="light"><b>Player</b> <?php echo HtmlEncode($name); ?> <b>information</b></td>
  </tr>
  <tr>
    <td width="50" align="center" class="light2"><b>Frags</b></td>
    <td width="50" align="center" class="light2"><b>Deaths</b></td>
    <td width="50" align="center" class="light2"><b>Ping</b></td>
    <td width="90" align="center" class="light2"><b>Team</b></td>
    <td width="60" align="center" class="light2"><b>User ID</b></td>
    <td width="110" align="center" class="light2"><b>IP Addr </b></td>
    <td width="110" align="center" class="light2"><b>Auth ID</b></td>
    <td width="72" align="center" class="light2"><b>Time</b></td>
  </tr>
  <tr>
    <td align="center" nowrap class="light1"><?php echo $frags; ?></td>
    <td align="center" nowrap class="light1"><?php echo $deaths; ?></td>
    <td align="center" nowrap class="light1"><?php echo $ping; ?></td>
    <td align="center" nowrap class="light1"><?php echo $team; ?></td>
    <td align="center" nowrap class="light1"><?php echo $userid; ?></td>
    <td align="center" nowrap class="light1"><?php echo $ip; ?></td>
    <td align="center" nowrap class="light1"><?php echo $authid; ?></td>
    <td align="center" nowrap class="light1"><?php echo $time; ?></td>
  </tr>
</table>
<br />
<iframe width="0" height="0" name="action_frame" src="about:blank" style="visibility:hidden"></iframe>
<table border="0" align="center" cellpadding="0" cellspacing="0" class="player">
  <form action="action.php" method="post">
  <tr>
    <td align="center" class="light"><b>Kick/Ban</b> <?php echo HtmlEncode($name); ?></td>
    </tr>
  <tr>
	<input type="hidden" name="userid" value="<?php echo $userid; ?>" />
    <td align="center" nowrap class="light1"><input type="radio" name="action" value="kick" id="kick" /><label for="kick">Kick</label>
      <input name="action" type="radio" id="banip" value="banip" checked="checked" />
      <label for="banip">Ban IP</label>
      <input type="radio" name="action" value="banauthid" id="banauthid" /><label for="banauthid">Ban AuthID</label>
	  &nbsp;Time(Min):
	  <input name="time" type="text" class="text" style="width:45px; height:18px; font-size: 12px; line-height:14px;" value="10" />
	  Reason(optional):
	  <input type="text" name="reason" class="text" style="width:100px; height:18px; font-size: 12px; line-height:14px;" />
	  &nbsp;<input type="submit" class="button" value="OK"></td>
  </tr>
  </form>
</table>
<br />
<table border="0" align="center" cellpadding="0" cellspacing="0" class="player">
  <form action="action.php" method="get" target="action_frame">
  <input type="hidden" name="action" value="srvcmd" />
  <tr>
    <td align="center" class="light"><b>Execute server console command</b></td>
    </tr>
  <tr>
    <td align="center" nowrap class="light1">Input command:     
      <input type="text" name="command" class="text" style="width:425px; height:18px; font-size: 12px; line-height:14px;" />
      &nbsp;<input type="submit" class="button" value="Send"></td>
  </tr>
  <tr>
    <td align="center" class="light1" style="height:40px;"><b>Warning</b>: You can't see anything of server console, please make sure your operation and to consider the possible impact on the server.</td>
  </tr>
  </form>
</table>
<br />
<table border="0" align="center" cellpadding="0" cellspacing="0" class="player">
  <form action="action.php" method="get" target="action_frame">
  <input type="hidden" name="action" value="cltcmd" />
  <input type="hidden" name="userid" value="<?php echo $userid; ?>" />
  <tr>
    <td align="center" class="light"><b>Send console command to</b> <?php echo HtmlEncode($name); ?></td>
    </tr>
  <tr>
    <td align="center" nowrap class="light1">Input command:
  <input type="text" name="command" class="text" style="width:425px; height:18px; font-size: 12px; line-height:14px;" />
      &nbsp;<input type="submit" class="button" value="Send"></td></tr>
  <tr>
    <td align="center" class="light1" style="height:40px;"><b>Warning</b>: You can't see anything of player console, please make sure your operation and to consider the possible impact on the player.</td>
  </tr>
  </form>
</table>
<br />
<table border="0" align="center" cellpadding="0" cellspacing="0" class="player">
  <form action="action.php" method="get" target="action_frame">
  <input type="hidden" name="action" value="cltprt" />
  <input type="hidden" name="userid" value="<?php echo $userid; ?>" />
  <tr>
    <td align="center" class="light"><b>Send message to</b> <?php echo HtmlEncode($name); ?></td>
  </tr>
  <tr>
    <td align="center" nowrap class="light1">
	Print Type: <select name="print_type"><option value="3">Chat</option><option value="4">Center</option><option value="2">Console</option></select>
    Message: <input type="text" name="message" class="text" style="width:322px; height:18px; font-size: 12px; line-height:14px;" />
    &nbsp;<input type="submit" class="button" value="Send"></td>
  </tr>
  </form>
</table>
</center>
<?php require_once("foot.php"); ?>
